using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Models.Jeux.Plateau;

namespace TestUnit
{
    public class PionTest
    {
        [Fact]
        public void TestConstructorValid()
        {
            Case c = new Case(Couleur.BLANC, 0, 1);
            Pion p = new Pion(Couleur.NOIR, c);

            Assert.NotNull(p);
            Assert.Equal(c, p.Pos);
            Assert.Equal(Couleur.NOIR, p.CouleurPion);
        }
        [Fact]
        public void TestSetCouleurPion()
        {
            Case c = new Case(Couleur.BLANC, 0, 1);
            Pion p = new Pion(Couleur.NOIR, c);

           p.CouleurPion = Couleur.BLANC;
           Assert.Equal(Couleur.BLANC, p.CouleurPion);
        }
        [Fact]
        public void TestSetCasePion()
        {
            Case c = new Case(Couleur.BLANC, 0, 1);
            Case c1 = new Case(Couleur.BLANC, 2, 1);
            Pion p = new Pion(Couleur.NOIR, c);

            p.Pos = c1;
            Assert.Equal(c1, p.Pos);
        }
        [Fact]
        public void testToString()
        {
            Case c = new Case(Couleur.BLANC, 0, 1);
            Pion p = new Pion(Couleur.NOIR, c);
            Assert.NotNull(p.ToString());
        }
    }
}
